Bug 1212048 - Review Request: golang-github-hashicorp-golang-lru- Golang LRU cache
Summary: Review Request: golang-github-hashicorp-golang-lru- Golang LRU cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1208616
TreeView+ depends on / blocked
 
Reported: 2015-04-15 13:05 UTC by Jan Chaloupka
Modified: 2015-07-08 17:05 UTC (History)
2 users (show)

Fixed In Version: golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:12:37 UTC
mskalick: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 13:05:36 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-golang-lru/golang-github-hashicorp-golang-lru.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-golang-lru/golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc20.src.rpm

Description: Golang LRU cache

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9487825

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-golang-lru-devel-0-0.1.gitd85392d.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Marek Skalický 2015-06-17 11:30:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/mskalick/reviews/1212048-golang-
     github-hashicorp-golang-lru/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/licenses, /usr/share/gocode,
     /usr/share/gocode/src/github.com
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-hashicorp-golang-lru-devel-0-0.1.gitd85392d.fc22.noarch.rpm
          golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-hashicorp-golang-lru-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-hashicorp-golang-lru-devel:
    golang(github.com/hashicorp/golang-lru)
    golang-github-hashicorp-golang-lru-devel



Source checksums
----------------
https://github.com/hashicorp/golang-lru/archive/d85392d6bc30546d352f52f2632814cde4201d44/golang-lru-d85392d.tar.gz :
  CHECKSUM(SHA256) this package     : f2aaca810acfdf02a67d44f5e81ed4408eeca0cd1c4e2d5f62c0b955ac8ccfb0
  CHECKSUM(SHA256) upstream package : f2aaca810acfdf02a67d44f5e81ed4408eeca0cd1c4e2d5f62c0b955ac8ccfb0


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-22-x86_64 -b 1212048
Buildroot used: fedora-22-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Marek Skalický 2015-06-17 11:48:02 UTC
Specfile conforms to current Go packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 3 Marek Skalický 2015-06-17 12:12:06 UTC
Should items:
- Latest version is not packaged

Comment 4 Jan Chaloupka 2015-06-17 12:17:14 UTC
New Package SCM Request
=======================
Package Name: golang-github-hashicorp-golang-lru
Short Description: Golang LRU cache
Upstream URL: https://github.com/hashicorp/golang-lru
Owners: jchaloup
Branches: f22 f21 f20 el6
InitialCC: golang-sig

Comment 5 Gwyn Ciesla 2015-06-18 15:01:49 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-06-19 14:20:57 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc22

Comment 7 Fedora Update System 2015-06-19 14:21:44 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc21

Comment 8 Fedora Update System 2015-06-19 14:22:33 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.el6

Comment 9 Fedora Update System 2015-06-20 21:11:02 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2015-06-30 00:12:37 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc22 has been pushed to the Fedora 22 stable repository.

Comment 11 Fedora Update System 2015-06-30 00:16:10 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-07-08 17:05:10 UTC
golang-github-hashicorp-golang-lru-0-0.1.gitd85392d.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.